Panning The Viewport
in Other
How does one change the 'target' of a viewport? I assumed there would be a way to move my model around 'underneath' the viewport to show the bit I'm interested in.
If this is possible, I can't figure out how to do it (non of the online suggestions work).
Is moving the boundary of the viewport really the only way to do this?
0
Comments
-
If I understand what you're asking... Try double-clicking inside the viewport. That "puts" you in model space where you can pan and zoom around until you get the view which you want. Double click outside of the viewport to return to paperspace. Alternately, click on the button on the status bar to toggle between P:LayoutX and M:LayoutX0
-
Thanks...I just figured this out! So it appears that my REAL problem is that, in my set-up, double-clicking the viewport doesn't run the MSPACE command (similarly, double-clicking outside doesn't run the PSPACE command).It works if I use the status bar or type the commands.So how has this become unlinked? I can't see any appropriate options in "Customize...|Mouse|Double-click actions"...is it supposed to be in there?(I'm using 15.2.06)0
-
I found it - "Enable double click editing" was turned off!0
-
There are mouse actions that are controlled other than from the CUI. This has been a cause of debate previously. double clicking on a viewport is built-in (this feature pre-dates CUI). From the command line it is looks to definately be running ._PSPACE & ._MSPACE
Are you trying to detect where you are? For this you need to take TILEMODE & CVPORT into account.
[code](defun C:WhichSpace ()
(cond
((= 1 (getvar 'TILEMODE)) (princ "\nYou're in ModelSpace"))
((and (= 0 (getvar 'TILEMODE)) (= 1 (getvar 'CVPORT))) (princ "\nYou're on a PaperSpace Layout"))
((and (= 0 (getvar 'TILEMODE)) (< 1 (getvar 'CVPORT))) (princ "\nYou're in ModelSpace inside a PaperSpace Viewport"))
(T (princ "\nYou're lost in SPACE!!!"))
)
(prin1)
)[/code]
Once you are inside a viewport you can find the current centre by VIEWCTR. you can move (pan) by using _ZOOM _Center and leaving the height the same.
Regards, Jason Bourhill CAD Concepts0 -
Should of also said that you can _PAN around inside a viewport by holding the middle wheel down. This is another mouse action not set by the CUI. To use you need to have MBUTTONPAN on, and from Windows control panel you may also need to set the Middle Wheel press = Middle Button.
Regards, Jason Bourhill CAD Concepts0 -
Jason,
can you tell me how to move within a viewport a set distance? I've got multiple levels to a building layout and multiple sections. once I've created a layout for all of the sections on the first level I'd like to copy each sections layout to a new tab and then change the view to the model space by a certain dimension.
0 -
The default mode of the PAN command is to accept start and end coordinates of a vector. So if you type PAN_0,0_0,-10'_ (underline represents Enter or Space) the view will move up 10'. If you often pan that same distance, you could create a custom command Pan10:
(defun c:Pan10 () (command "pan" "0,0" "0,-120"))0 -
perfect, thanks you that is exactly what I needed.0
-
You can also work with relative coordinates.
Just click into your viewport. Type command PAN - Enter - click once into viewport - move to the direction you want to move your modelspace - type in the distance - enter - ready.0
This discussion has been closed.